# Generated by Django 3.2.14 on 2022-08-17 09:02

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Car',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('company', models.CharField(max_length=255)),
                ('exterior_color', models.CharField(max_length=255)),
                ('interior_color', models.CharField(max_length=255)),
                ('code_product', models.CharField(max_length=255, unique=True)),
                ('model_product', models.CharField(max_length=255)),
                ('fuel_type', models.CharField(max_length=255)),
                ('features', models.CharField(max_length=255)),
                ('account_type', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Plan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type_plan', models.CharField(max_length=255)),
                ('deliver_time', models.IntegerField()),
                ('insurance', models.BooleanField(default=False)),
                ('name_insurance', models.CharField(max_length=255)),
                ('name', models.CharField(max_length=255)),
                ('date', models.DateField(null=True)),
                ('expired', models.IntegerField()),
                ('lottery', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='PlanCar',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cost', models.CharField(max_length=255)),
                ('Amount_on_account', models.CharField(max_length=255)),
                ('number', models.IntegerField()),
                ('car', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='plans.car')),
                ('plan', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='plans.plan')),
            ],
            options={
                'db_table': 'PlanCar',
            },
        ),
        migrations.CreateModel(
            name='UserPlan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('win', models.BooleanField(default=False)),
                ('PlanCar', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='plans.plancar')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'UserPlan',
            },
        ),
        migrations.AddConstraint(
            model_name='userplan',
            constraint=models.UniqueConstraint(fields=('user', 'PlanCar'), name='unique_plan_user'),
        ),
        migrations.AddConstraint(
            model_name='plancar',
            constraint=models.UniqueConstraint(fields=('car', 'plan'), name='unique plan'),
        ),
    ]
